summaryrefslogtreecommitdiff
path: root/meta-google
diff options
context:
space:
mode:
authorWilliam A. Kennington III <wak@google.com>2022-04-05 01:36:25 +0300
committerWilliam A. Kennington III <wak@google.com>2022-04-06 00:30:06 +0300
commitab8ea8d59aafe93229a2bfa47300e22ac5beb1b5 (patch)
treebd23d8c9d7ea8775dbafe2a8bda33168d19e9c22 /meta-google
parent85c714a9afc771875a6345b0ddca33f06900c7e9 (diff)
downloadopenbmc-ab8ea8d59aafe93229a2bfa47300e22ac5beb1b5.tar.xz
meta-google: gbmc-update: Only find a single sig
We sometimes have provided tarballs with multiple image or sig files present. We need to limit find to just try the first one. Change-Id: If942c122e95a70ee5d84af702760ff4bc1cb2edb Signed-off-by: William A. Kennington III <wak@google.com>
Diffstat (limited to 'meta-google')
-rw-r--r--meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh b/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh
index 1831d49420..d08575a237 100644
--- a/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh
+++ b/meta-google/recipes-phosphor/flash/gbmc-update/75-gbmc-upgrade.sh
@@ -51,7 +51,7 @@ gbmc_upgrade_fetch() (
done
local sig
- sig="$(find "$tmpdir" -name 'image-*.sig')" || return
+ sig="$(find "$tmpdir" -name 'image-*.sig' | head -n 1)" || return
local img="${sig%.sig}"
mv "$sig" "$GBMC_UPGRADE_SIG" || return
mv "$img" "$GBMC_UPGRADE_IMG" || return